**`DAVID E. CASEBEER`[NAME]** -NL- **`(214) 535-8935`[PHONES_PHONE]** -NL- **`dcasebeer11@gmail.com`[EMAILS_EMAIL]** -NL- **`CAREER OBJECTIVE:`[SUMMARY_HEADING]** -NL- To ensure that my employer generates increased revenue by leveraging my knowledge, technical skills, -NL- mentoring skills and dedication for their benefit. -NL- **`EDUCATIONAL BACKGROUND:`[EDUCATION_HEADING]** -NL- **`Bachelors of Science`[EDUCATION_DEGREE]**, **`Computer Science and Engineering`[EDUCATION_COURSE]**, **`University of Texas at Arlington`[EDUCATION_INSTITUTE]**, 1992. -NL- Software Development Environments: -NL- Software Development -NL- Java -NL- 20 years -NL- Agile / Scrum -NL- 11 years -NL- JEE -NL- 7 years -NL- RESTful Web Services -NL- 3 years -NL- Spring/MVC/Boot -NL- 5 years -NL- Hibernate -NL- 4 years -NL- AJAX -NL- 2 years -NL- Java Server Pages (JSP) -NL- 6 years -NL- Java AWT -NL- 19 years -NL- Java Swing -NL- 19 years -NL- JDBC -NL- 19 years -NL- Junit / Mockito / EasyMock -NL- 6 years -NL- Struts -NL- 5 years -NL- JAXB -NL- 3 years -NL- Glassfish -NL- 5 years -NL- Websphere App Server -NL- 4 years -NL- JBoss App Server -NL- 2.5 years -NL- Apache Tomcat Web Server -NL- 6 years -NL- Operating Systems -NL- UNIX -NL- 7 years -NL- Windows XP/Vista/7/10 -NL- 12 years -NL- LINUX -NL- 3 years -NL- Sun OS -NL- 2 years -NL- Solaris -NL- 2 years -NL- Hewlett Packard VUE -NL- 4 years -NL- Mac OS 9.x & 10.x -NL- 10 years -NL- IDE’s & SCM & Methodologies -NL- Eclipse Java IDE -NL- NetBeans Java IDE -NL- IntelliJ -NL- Git -NL- ClearCase -NL- Atlassian tools -NL- Agile/Scrum -NL- Build Tools -NL- Ant -NL- Maven -NL- Gradle -NL- Make -NL- Databases -NL- Oracle -NL- Apache Derby -NL- Sybase -NL- MySQL -NL- MS Access -NL- Hardware Platforms -NL- Windows PC -NL- Apple Mac -NL- Sun Workstation -NL- Hewlett Packard Workstation -NL- 10 years -NL- 9 years -NL- 2 years -NL- 2 years -NL- 6 years -NL- 8 years -NL- 10 years -NL- 9 years -NL- 7 years -NL- 1.5 years -NL- 4 years -NL- 8 years -NL- 6 years -NL- 2 years -NL- 2 years -NL- 5 years -NL- 10 years -NL- 10 years -NL- 5 years -NL- 3 years -NL- **`CERTIFICATIONS:`[OTHERS_HEADING]** -NL- Java 2 Programming SDK 1.4 -NL- **`WORK EXPERIENCE:`[WORK_EXPERIENCE_HEADING]** -NL- 12/18 – Present -NL- **`Infosys Inc`[EMPLOYER_COMPANY_NAME]**. -NL- Position **`Senior Java Developer`[EMPLOYER_ROLE]** -NL- Web application used in the disbursement and management of federal benefits for benefit recipients -NL- across the nation. High volume financial transaction processing. Client portal as well as an -NL- administrator’s portal all sharing the same backend. -NL-  RESTful web services; -NL-  Spring / Spring Boot; -NL-  Angular front end; -NL-  Maven build tool; -NL-  Glassfish application server; -NL-  Rational Team Concert software configuration management; -NL-  The development and runtime environment used JDK/JRE1.7; -NL-  Eclipse IDE. -NL- **`Accomplishments:`[OTHERS_HEADING]** -NL-  Delivered customers with features that they requested within the timeframe specified. -NL- 2/15 – 12/18 -NL- **`KeyOn Enterprises Inc`[EMPLOYER_COMPANY_NAME]**. -NL- Position **`Senior Java Developer`[EMPLOYER_ROLE]** -NL- Java EE Web services application to interact with Apple App Store, Google Play & Windows App -NL- Store to facilitate gaming purchases of products and virtual currency. -NL-  Spring / Spring Batch / Spring Retry / Spring Boot -NL-  Agile / Scrum methodology; -NL-  RESTful web services; -NL-  AngularJS -NL-  Java Server Pages -NL-  Google HTTP Client API; -NL-  Git repository; -NL-  Gradle, Maven, Make build tools; -NL-  OpenShift Cloud Application Platform; -NL-  Atlassian Jira; -NL-  Jenkins Continuous Integration tool; -NL-  JUnit / Mockito based unit tests; -NL-  The development and runtime environment used JDK/JRE1.7 & JDK/JRE1.8; -NL-  Spring Tool Suite 3.6.4 IDE. -NL- **`Accomplishments:`[OTHERS_HEADING]** -NL-  Delivered customers with features that they requested within the timeframe specified. -NL- 7/14 – 01/15 -NL- **`Argo Data`[EMPLOYER_COMPANY_NAME]** -NL- Position **`Senior Java Developer`[EMPLOYER_ROLE]** -NL- J2EE/Spring banking application that performs real time anti-fraud detection. -NL-  Test driven development; -NL-  JUnit / Mockito based unit tests; -NL-  Agile / Scrum methodology; -NL-  Annotation based Spring 3.4.0 configuration and dependency injection; -NL-  RESTful/SOAP (CXF) web services; -NL-  JBoss Application Server; -NL-  Atlassian Jira; -NL-  Google Guava toolkit; -NL-  Maven build tool; -NL-  Bamboo continuous build; -NL-  Fisheye / Subversion version control; -NL-  Crucible code review; -NL-  The development and runtime environment used JDK/JRE1.7; -NL-  IntelliJ 13.1.4 IDE. -NL- **`Accomplishments:`[OTHERS_HEADING]** -NL-  Successfully completed all assignments within the specified time allotment. -NL-  Initiated process improvement related to business team transferring business requirements -NL- to the development team. -NL-  Mentoring junior engineers on design and best practices. -NL- 10/13 – 03/14 -NL- **`Verizon Telecom`[EMPLOYER_COMPANY_NAME]** -NL- 3 month contract -NL- Position **`Senior Java Developer`[EMPLOYER_ROLE]** -NL- Java/Spring Batch application that optimizes the processing of large amounts of data by splitting a -NL- large input data file into smaller units and relinquishes them to a distributed processing cluster. -NL-  Designed and implemented significant component of complex billing system; -NL-  Agile / Scrum methodology; -NL-  Utilizes Spring Batch, dependency injection and jdbcTemplate; -NL-  JBoss Application Server; -NL-  JUnit / Mockito based unit tests; -NL-  The code repository is stored in ClearCase; -NL-  Mockito based unit tests; -NL-  Maven and Ant build tools; -NL-  Jenkins Continuous Integration tool; -NL-  The development and runtime environment used JDK/JRE6.0; -NL-  Development is done with the Eclipse Kepler IDE. -NL- **`Accomplishments:`[OTHERS_HEADING]** -NL-  Successfully completed all assignments within the specified time allotment. -NL-  Mentoring junior engineers on design and best practices. -NL- 02/13 – 08/13 -NL- **`HMS`[EMPLOYER_COMPANY_NAME]** -NL- 3 month contract -NL- Position **`Lead Java Developer`[EMPLOYER_ROLE]** -NL- J2EE/Spring Web application that provides services to state agencies to minimize Medicaid costs. -NL-  Performed architect and Project Manager duties for Medicaid benefits component; -NL-  Agile / Scrum methodology; -NL-  Spring MVC, dependency injection and jdbcTemplate; -NL-  RESTful web services; -NL-  JBoss Application Server; -NL-  Utilized numerous design patterns throughout the business layer and database server side -NL- code; -NL-  The code repository is stored in CA Harvest; -NL-  Maven build tool; -NL-  The development and runtime environment used JDK/JRE5.0; -NL-  Development is done with the Eclipse Helios IDE; -NL-  Application servers distributed across Windows, UNIX and LINUX. -NL- **`Accomplishments:`[OTHERS_HEADING]** -NL-  Successfully completed all assignments within the specified time allotment. -NL-  Mentoring junior engineers on design and best practices. -NL-  Work in conjunction with application architect to enhance scalability and growth. -NL- 08/12 – 11/12 Rent-A-Center -NL- 3 month contract -NL- Position **`Software Contractor`[EMPLOYER_ROLE]** -NL- Java Swing Point Of Sale application. -NL-  Utilized the MVP design pattern throughout the code; -NL-  Agile / Scrum methodology; -NL-  Utilized numerous design patterns throughout the business layer and database server side -NL- code; -NL-  Used the Spring framework for dependency injection; -NL-  Used Hibernate to interact with the Oracle database; -NL-  JUnit unit testing; -NL-  Ant build tool; -NL-  The code repository was stored in CVS; -NL-  The development and runtime environment uses JDK/JRE5.0 ; -NL-  Development was done with the Eclipse Europa IDE. -NL-  Scrum environment. -NL- **`Accomplishments:`[OTHERS_HEADING]** -NL-  Successfully completed all assignments within the specified time allotment whenever core -NL- infrastructure existed. -NL- 8/11 – 02/12 **`Health Care Services Corporation`[EMPLOYER_COMPANY_NAME]** -NL- Position **`Software Contractor`[EMPLOYER_ROLE]** -NL- J2EE web application that provides services to sellers of healthcare insurance products. -NL-  Utilized numerous MVC design patterns throughout the JSP front end code; -NL-  Utilized numerous design patterns throughout the business layer and database server side -NL- code; -NL-  Agile / Scrum methodology; -NL-  Web application front end uses the Spring framework, Java Server Pages, and Java Script; -NL-  Utilized WebSphere Application Server as the top level container for this project; -NL-  Used JDBC to interact with the Oracle database; -NL-  Atlassian Jira; -NL-  The code repository was stored in CVS; -NL-  Ant build tool; -NL-  Utilized ClearQuest as the team task and defect tracking tool; -NL-  The development and runtime environment uses JDK/JRE5.0 ; -NL-  Development was done with the Eclipse RAD IDE. -NL-  Application servers distributed across UNIX and LINUX. -NL- **`Accomplishments:`[OTHERS_HEADING]** -NL-  Provided clients with enhanced process flow and functionality that increases the target -NL- audience spectrum and overall gross revenue; -NL-  Successfully completed all assignments within the specified time allotment. -NL- **`MILITARY EXPERIENCE:`[WORK_EXPERIENCE_HEADING]** -NL- **`United States Marine Corps`[EMPLOYER_COMPANY_NAME]** -NL- Position: -NL- **`Infantry Squad leader`[EMPLOYER_ROLE]** -NL- Responsible for successful completion of military objectives at the squad level. Duties included -NL- the tactical training, physical training, inspection, safety and well being of a 13 member Marine -NL- Corp infantry squad. -NL- **`Accomplishments:`[OTHERS_HEADING]** -NL-  Two meritorious promotions. -NL-  Five service medals. -NL-  Final rank as Corporal (Non-Commissioned Officer). -NL-  Honorable discharge. -NL- 